import { Program } from "@coral-xyz/anchor";
import BN from "bn.js";
import { PROGRAM_ID } from "./constants";
import { circuitBreakerResolvers } from "./resolvers";
export * from "./constants";
export * from "./pdas";
export * from "./resolvers";
export const ThresholdType = {
    Percent: { percent: {} },
    Absolute: { absolute: {} }
};
const MAX_U64 = new BN("18446744073709551615");
export function thresholdPercent(percent) {
    return new BN(percent).mul(MAX_U64).div(new BN(100));
}
export async function init(provider, programId = PROGRAM_ID, idl) {
    if (!idl) {
        idl = await Program.fetchIdl(programId, provider);
    }
    const circuitBreaker = new Program(idl, programId, provider, undefined, () => circuitBreakerResolvers);
    return circuitBreaker;
}
//# sourceMappingURL=index.js.map